/**
 * Test for doc angular modules.
 * Runs with nodeunit.
 */

"use strict";


var docAngularModules = require('../lib/doc_angular_modules');

var path = require('path');

var basedir = path.resolve(__dirname, '..'),
    tmpDir = path.resolve(basedir, 'tmp');


exports['Do generate.'] = function (test) {
    docAngularModules(
        path.resolve(basedir, 'docs/mockups/angular-module-mockup/*.js'),
        path.resolve(tmpDir, 'foo/bar/testing-angular-module-mockup-doc'),
        {

        },
        function(err){
            test.ifError(err);
            test.done();
        }
    )
};
